---@meta

---@class ABP_TapePlayer_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SM_CassetteTape_Austin_01 UStaticMeshComponent
---@field TapeInsert UStaticMeshComponent
---@field PreviousTapeButton UStaticMeshComponent
---@field NextTapeButton UStaticMeshComponent
---@field DownVolumeButton UStaticMeshComponent
---@field UpVolumeButton UStaticMeshComponent
---@field StopButton UStaticMeshComponent
---@field PlayButton UStaticMeshComponent
---@field Audio UAudioComponent
---@field Cube UStaticMeshComponent
---@field DefaultSceneRoot USceneComponent
---@field VolumeMultiplier double
---@field IsPlaying boolean
---@field CurrentTapeIndex int32
---@field Tapes TArray<UMetaSoundSource>
---@field PlayingTapeTimer FTimerHandle
---@field MetasoundCaptionMap TMap<UMetaSoundSource, UDataTable>
---@field CurrentCaption UDataTable
---@field CurrentCaptionsArray TArray<FST_TapeCaption>
---@field CurrentCaptionIndex int32
---@field CheckCaptionTimer FTimerHandle
---@field PositionTimer FTimerHandle
---@field PositionAlpha double
---@field ['Relative Location X'] double
---@field Temp_ForceAddTape TArray<UMetaSoundSource>
local ABP_TapePlayer_C = {}

---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_TapePlayer_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function ABP_TapePlayer_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_TapePlayer_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function ABP_TapePlayer_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_TapePlayer_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param PlacementTransform FTransform
---@param Success boolean
function ABP_TapePlayer_C:PlaceActor(PlacementTransform, Success) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function ABP_TapePlayer_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function ABP_TapePlayer_C:BlockInteraction(Player, BlockInteraction) end
---@param IsPickupable boolean
function ABP_TapePlayer_C:IsPickupable(IsPickupable) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_TapePlayer_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function ABP_TapePlayer_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param Success boolean
function ABP_TapePlayer_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function ABP_TapePlayer_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
---@param Transform FTransform
function ABP_TapePlayer_C:GetCustomHoldTransform(Success, Transform) end
---@param Success boolean
function ABP_TapePlayer_C:SetAttachedPhysicsState(Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_TapePlayer_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function ABP_TapePlayer_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param destroy boolean
---@param Success boolean
function ABP_TapePlayer_C:ForceDetach(destroy, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function ABP_TapePlayer_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_TapePlayer_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function ABP_TapePlayer_C:GetObjectAttachType(Success, AttachType) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function ABP_TapePlayer_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function ABP_TapePlayer_C:GetAttachPointState(Success, AttachPointState) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function ABP_TapePlayer_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function ABP_TapePlayer_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param NewTransform FTransform
---@param Success boolean
function ABP_TapePlayer_C:SetNewAttachTransform(NewTransform, Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function ABP_TapePlayer_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param Success boolean
function ABP_TapePlayer_C:Explode(Success) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function ABP_TapePlayer_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_TapePlayer_C:GetVisuals(Mesh, DynamicMaterial) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function ABP_TapePlayer_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function ABP_TapePlayer_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function ABP_TapePlayer_C:Repair(RepairTarget, RepairTool, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function ABP_TapePlayer_C:StopInteract(PlayerCharacter, HitResult, Success) end
---@param ImpulseStrength FVector
---@param Success boolean
function ABP_TapePlayer_C:AddImpulse(ImpulseStrength, Success) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_TapePlayer_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param Success boolean
---@param DisplayName FText
function ABP_TapePlayer_C:GetDisplayName(Success, DisplayName) end
---@param Success boolean
function ABP_TapePlayer_C:ShouldUseHoldTransform(Success) end
function ABP_TapePlayer_C:Internal_StartPlaying() end
function ABP_TapePlayer_C:Internal_StopPlaying() end
---@param InputPin FText
function ABP_TapePlayer_C:TryUpdateText(InputPin) end
---@param TimespanString FString
---@return double
function ABP_TapePlayer_C:TimeSpanStringToSeconds(TimespanString) end
function ABP_TapePlayer_C:BuildCaptionData() end
---@param TapeMetaSound UMetaSoundSource
function ABP_TapePlayer_C:AddTape(TapeMetaSound) end
---@param TapeIndex int32
function ABP_TapePlayer_C:SetTapeIndex(TapeIndex) end
---@param VolumeMultiplier double
function ABP_TapePlayer_C:SetVolume(VolumeMultiplier) end
---@param IsPlaying boolean
function ABP_TapePlayer_C:SetPlaying(IsPlaying) end
function ABP_TapePlayer_C:OnRep_Tapes() end
function ABP_TapePlayer_C:OnRep_CurrentTapeIndex() end
function ABP_TapePlayer_C:OnRep_IsPlaying() end
function ABP_TapePlayer_C:OnRep_VolumeMultiplier() end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_TapePlayer_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_TapePlayer_C:CallBackSecondaryFire(Player, Stop) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_TapePlayer_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param Heat int32
function ABP_TapePlayer_C:StartCooking(Heat) end
function ABP_TapePlayer_C:StopCooking() end
function ABP_TapePlayer_C:ReceiveBeginPlay() end
function ABP_TapePlayer_C:CheckTimeStap() end
function ABP_TapePlayer_C:Done() end
function ABP_TapePlayer_C:StartCaption() end
function ABP_TapePlayer_C:Multicast_insertTapeAnim() end
function ABP_TapePlayer_C:updatepos() end
function ABP_TapePlayer_C:Multicast_ForceStopPlaying() end
function ABP_TapePlayer_C:Multicast_ForceStartPlaying() end
---@param CurrentTapeIndex int32
function ABP_TapePlayer_C:Multicast_ForceSwitchToTapeIndex(CurrentTapeIndex) end
---@param Tape UMetaSoundSource
function ABP_TapePlayer_C:Multicast_ForceAddTape(Tape) end
---@param EntryPoint int32
function ABP_TapePlayer_C:ExecuteUbergraph_BP_TapePlayer(EntryPoint) end


